Hi,

Once I install openssl 0.9.8b I get a bus error from telnet of all things! I'm using 5.4-RELEASE (which may be the problem).

Does anyone have it working ?

For myself I went trolling through the code and found the following:

It seems that from version 0.9.7j to 0.9.8b the code for BN_CTX_init
(in crypto/bn/bn_ctx.c) has changed to stop allowing the static declaration
of the BN_CTX type.

The helpful author even says it's changed:
        /* Assume the caller obtained the context via BN_CTX_new() and so is
         * trying to reset it for use. Nothing else makes sense, least of all
         * binary compatibility from a time when they could declare a static
         * variable. */

But libraries like libmp declare static BN_CTX variables in many routines
(including mult which telnet calls) and many of these routines are void
so couldn't return errors even if it was appropriate to use BN_CTX_new
as the author suggests.

Given all this, I assume I've missed something blindingly obvious but
for the life of me I can't see what it is.

Anyone have a misery fixer for me ?

K.

PS. It seems increasingly like openssl did not have FreeBSD in mind
        as even the Configure script stopped having "FreeBSD" as an
        option.

----
Keyran Bayliss
[EMAIL PROTECTED]
+61 7 3864 1704
0414 645 365
www.its.qut.edu.au/network/
CRICOS No 00213J
----
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to